name: PR3Scara
board: Fysetc E4
stepping:
  engine: RMT
  idle_ms: 255
  dir_delay_us: 1
  pulse_us: 4
  disable_delay_us: 0
uart1:
  txd_pin: gpio.22
  rxd_pin: gpio.21
  rts_pin: NO_PIN
  cts_pin: NO_PIN
  baud: 115200
  mode: 8N1
kinematics:
  SingleArmScara:
    upper_arm_mm: 195
    forearm_mm: 130
    segment_mm: 5
    elbow_motor: true
axes:
  x:
    steps_per_mm: 1833.465
    max_rate_mm_per_min: 1200
    acceleration_mm_per_sec2: 10
    max_travel_mm: 3.1416
    soft_limits: false
    homing:
      cycle: 0
      positive_direction: true
      mpos_mm: -1.5708
    motor0:
      hard_limits: false
      tmc_2209:
        uart_num: 1
        addr: 0
        r_sense_ohms: 0.11
        run_amps: 1
        hold_amps: 0.5
        microsteps: 16
        step_pin: gpio.27
        direction_pin: gpio.26:low
        disable_pin: NO_PIN
        run_mode: StealthChop
        homing_mode: Stallguard
        stallguard: 0
        stallguard_debug: false
      limit_neg_pin: NO_PIN
      limit_pos_pin: NO_PIN
      limit_all_pin: NO_PIN
  y:
    steps_per_mm: 1833.465
    max_rate_mm_per_min: 1200
    acceleration_mm_per_sec2: 10
    max_travel_mm: 3.1416
    soft_limits: false
    homing:
      cycle: 0
      positive_direction: true
      mpos_mm: 0
    motor0:
      hard_limits: false
      tmc_2209:
        uart_num: 1
        addr: 1
        r_sense_ohms: 0.11
        run_amps: 1
        hold_amps: 0.5
        microsteps: 16
        step_pin: gpio.33
        direction_pin: gpio.32
        disable_pin: NO_PIN
        run_mode: StealthChop
        homing_mode: Stallguard
        stallguard: 0
        stallguard_debug: false
      limit_neg_pin: NO_PIN
      limit_pos_pin: NO_PIN
      limit_all_pin: NO_PIN
  a:
    steps_per_mm: 1833.465
    max_rate_mm_per_min: 600
    acceleration_mm_per_sec2: 20
    max_travel_mm: 5.5851
    soft_limits: false
    homing:
      cycle: 0
      positive_direction: true
      mpos_mm: 0
    motor0:
      hard_limits: false
      tmc_2209:
        uart_num: 1
        addr: 2
        r_sense_ohms: 0.11
        run_amps: 0.8
        hold_amps: 0.5
        microsteps: 16
        step_pin: gpio.14
        direction_pin: gpio.12
        disable_pin: NO_PIN
        run_mode: StealthChop
        homing_mode: Stallguard
        stallguard: 0
        stallguard_debug: false
      limit_neg_pin: NO_PIN
      limit_pos_pin: NO_PIN
      limit_all_pin: NO_PIN
  z:
    steps_per_mm: 400
    max_rate_mm_per_min: 1000
    acceleration_mm_per_sec2: 500
    max_travel_mm: 100
    soft_limits: false
    homing:
      cycle: 1
      positive_direction: true
      mpos_mm: 100
    motor0:
      hard_limits: false
      tmc_2209:
        uart_num: 1
        addr: 3
        r_sense_ohms: 0.11
        run_amps: 0.8
        hold_amps: 0.5
        microsteps: 16
        step_pin: gpio.16
        direction_pin: gpio.17:low
        disable_pin: NO_PIN
        run_mode: StealthChop
        homing_mode: Stallguard
        stallguard: 0
      limit_neg_pin: NO_PIN
      limit_pos_pin: NO_PIN
      limit_all_pin: NO_PIN
start:
  must_home: false
  check_limits: false
macros:
  macro0: $LocalFS/Run=rectangle.nc